For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
      • GETUser Accounting
      • GETGrowth Accounting
      • GETCohorts
      • GETCustomer Cohorts
      • GETConcentration
  • Deal Management
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
DataProduct

User Accounting

GET
/api/v1/group/:group_id/deal/:deal_id/data/user-accounting
GET
/api/v1/group/:group_id/deal/:deal_id/data/user-accounting
$curl -G https://app.termina.ai/api/v1/group/1/deal/1/data/user-accounting \
> -H "Authorization: Bearer <token>" \
> -d user_type=business \
> -d metric=metric
1[
2 {
3 "date": "2026-01",
4 "active_users": 1000,
5 "retained": 800,
6 "new": 200,
7 "resurrected": 0,
8 "churned": -100,
9 "cmgr3": 0.12,
10 "cmgr6": -0.1,
11 "cmgr12": 0.07,
12 "cqgr1": 0.2,
13 "cqgr2": 0.21,
14 "cqgr4": 0.1,
15 "logo_retention": 0.8,
16 "quick_ratio": 0.8
17 }
18]
Get the product user accounting for the company associated with the deal.
Was this page helpful?
Previous

Growth Accounting

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idintegerRequired
deal_idintegerRequired

Query parameters

user_typeenumRequired
metricstringRequired
freqenumOptional
Allowed values:

Response

Successful Response
datestring
The date of the entry.
active_usersinteger
The number of active users in the period.
retainedinteger or null
The number of retained users from the last period in the current period.
newinteger or null
The number of new users in the period.
resurrectedinteger or null
The number of resurrected users in the period.
churnedinteger or null
The number of churned users in the period.
cmgr3double or null

3-month user count growth rate, for monthly frequency.

cmgr6double or null

6-month user count growth rate, for monthly frequency.

cmgr12double or null

12-month user count growth rate, for monthly frequency.

cqgr1double or null

1-quarter user count growth rate, for quarterly frequency.

cqgr2double or null

2-quarter user count growth rate, for quarterly frequency.

cqgr4double or null

4-quarter user count growth rate, for quarterly frequency.

logo_retentiondouble or null

The logo retention rate, defined as retained / active over last period.

quick_ratiodouble or null

The quick ratio, defined as (resurrected + new) / churned.

Errors

422
Unprocessable Entity Error